package com.abssqr.plat.common.facade.param.astPool;

import com.abssqr.plat.common.facade.base.BaseOprParam;
import com.abssqr.plat.common.facade.enums.EventCodeEnum;
import com.abssqr.plat.common.facade.validation.VldString;

public class AstPoolOprParam extends BaseOprParam{
    @VldString(nullable = false,minLength = 0,maxLength = 30)
    private String astPoolName;

    @VldString(nullable = false,minLength = 0,maxLength = 30)
    private String astTypeCode;

    @VldString(nullable = false,minLength = 0,maxLength = 30)
    private String prodNo;

    public String getAstPoolName() {
        return astPoolName;
    }

    public void setAstPoolName(String astPoolName) {
        this.astPoolName = astPoolName;
    }

    public String getAstTypeCode() {
        return astTypeCode;
    }

    public void setAstTypeCode(String astTypeCode) {
        this.astTypeCode = astTypeCode;
    }

    public String getProdNo() {
        return prodNo;
    }

    public void setProdNo(String prodNo) {
        this.prodNo = prodNo;
    }

    @Override
    public EventCodeEnum getEventCode() {
        return EventCodeEnum.ADMIN_EDIT;
    }
}
