package com.abssqr.plat.common.dal.mysql.auto.dataobject;

import java.util.Date;

/**
 * The table 资产包
 */
public class AstPackDO{

    /**
     * id .
     */
    private Long id;
    /**
     * avalAmt 规模.
     */
    private Long avalAmt;
    /**
     * type 资产包类型: 1. 正常 NORMAL 2.默认(虚拟) DEFAULT.
     */
    private String type;
    /**
     * packNo 资产包编号.
     */
    private String packNo;
    /**
     * planNo 产品编号.
     */
    private String planNo;
    /**
     * status 状态 1.初始化 INIT 2.筛选中 EXEC 3.筛选完成 SCREEN_FIS  4.已封包 PACK 5.已解包 UNPACK 6.已拆包 BREAK 7.已发行 PUBLISH  .
     */
    private String status;
    /**
     * packName 资产包名称.
     */
    private String packName;
    /**
     * astPoolNo 资产池编号.
     */
    private String astPoolNo;
    /**
     * astTypeCode 准入资产代码.
     */
    private String astTypeCode;
    /**
     * packDate 封包日.
     */
    private Date packDate;
    /**
     * gmtCreate 创建时间.
     */
    private Date gmtCreate;
    /**
     * gmtModified 更新时间.
     */
    private Date gmtModified;
    /**
     * packSubmitDate 封包提交日.
     */
    private Date packSubmitDate;

    /**
     * Set id .
     */
    public void setId(Long id){
        this.id = id;
    }

    /**
     * Get id .
     *
     * @return the string
     */
    public Long getId(){
        return id;
    }

    /**
     * Set avalAmt 规模.
     */
    public void setAvalAmt(Long avalAmt){
        this.avalAmt = avalAmt;
    }

    /**
     * Get avalAmt 规模.
     *
     * @return the string
     */
    public Long getAvalAmt(){
        return avalAmt;
    }

    /**
     * Set type 资产包类型: 1. 正常 NORMAL 2.默认(虚拟) DEFAULT.
     */
    public void setType(String type){
        this.type = type;
    }

    /**
     * Get type 资产包类型: 1. 正常 NORMAL 2.默认(虚拟) DEFAULT.
     *
     * @return the string
     */
    public String getType(){
        return type;
    }

    /**
     * Set packNo 资产包编号.
     */
    public void setPackNo(String packNo){
        this.packNo = packNo;
    }

    /**
     * Get packNo 资产包编号.
     *
     * @return the string
     */
    public String getPackNo(){
        return packNo;
    }

    /**
     * Set planNo 产品编号.
     */
    public void setPlanNo(String planNo){
        this.planNo = planNo;
    }

    /**
     * Get planNo 产品编号.
     *
     * @return the string
     */
    public String getPlanNo(){
        return planNo;
    }

    /**
     * Set status 状态 1.初始化 INIT 2.筛选中 EXEC 3.筛选完成 SCREEN_FIS  4.已封包 PACK 5.已解包 UNPACK 6.已拆包 BREAK 7.已发行 PUBLISH  .
     */
    public void setStatus(String status){
        this.status = status;
    }

    /**
     * Get status 状态 1.初始化 INIT 2.筛选中 EXEC 3.筛选完成 SCREEN_FIS  4.已封包 PACK 5.已解包 UNPACK 6.已拆包 BREAK 7.已发行 PUBLISH  .
     *
     * @return the string
     */
    public String getStatus(){
        return status;
    }

    /**
     * Set packName 资产包名称.
     */
    public void setPackName(String packName){
        this.packName = packName;
    }

    /**
     * Get packName 资产包名称.
     *
     * @return the string
     */
    public String getPackName(){
        return packName;
    }

    /**
     * Set astPoolNo 资产池编号.
     */
    public void setAstPoolNo(String astPoolNo){
        this.astPoolNo = astPoolNo;
    }

    /**
     * Get astPoolNo 资产池编号.
     *
     * @return the string
     */
    public String getAstPoolNo(){
        return astPoolNo;
    }

    /**
     * Set astTypeCode 准入资产代码.
     */
    public void setAstTypeCode(String astTypeCode){
        this.astTypeCode = astTypeCode;
    }

    /**
     * Get astTypeCode 准入资产代码.
     *
     * @return the string
     */
    public String getAstTypeCode(){
        return astTypeCode;
    }

    /**
     * Set packDate 封包日.
     */
    public void setPackDate(Date packDate){
        this.packDate = packDate;
    }

    /**
     * Get packDate 封包日.
     *
     * @return the string
     */
    public Date getPackDate(){
        return packDate;
    }

    /**
     * Set gmtCreate 创建时间.
     */
    public void setGmtCreate(Date gmtCreate){
        this.gmtCreate = gmtCreate;
    }

    /**
     * Get gmtCreate 创建时间.
     *
     * @return the string
     */
    public Date getGmtCreate(){
        return gmtCreate;
    }

    /**
     * Set gmtModified 更新时间.
     */
    public void setGmtModified(Date gmtModified){
        this.gmtModified = gmtModified;
    }

    /**
     * Get gmtModified 更新时间.
     *
     * @return the string
     */
    public Date getGmtModified(){
        return gmtModified;
    }

    /**
     * Set packSubmitDate 封包提交日.
     */
    public void setPackSubmitDate(Date packSubmitDate){
        this.packSubmitDate = packSubmitDate;
    }

    /**
     * Get packSubmitDate 封包提交日.
     *
     * @return the string
     */
    public Date getPackSubmitDate(){
        return packSubmitDate;
    }
}
